Drupal.behaviors.multiselect = {
  attach: function (context, settings) {
    jQuery(context)
      .find('select.amazing_multiselect')
      .find('option[value="_none"]')
      .removeAttr('selected');
    jQuery(context).find('select.amazing_multiselect').multiSelect({
      selectableOptgroup: true,
      selectableHeader: "<input type='text' class='search-input' autocomplete='off' placeholder='" + Drupal.t('Search') + "'>",
      selectionHeader: "<input type='text' class='search-input' autocomplete='off' placeholder='" + Drupal.t('Search') + "'>",
      afterInit: function (ms) {
        let that = this,
          $selectableSearch = that.$selectableUl.prev(),
          $selectionSearch = that.$selectionUl.prev(),
          selectableSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selectable:not(.ms-selected)',
          selectionSearchString = '#' + that.$container.attr('id') + ' .ms-elem-selection.ms-selected';
        that.qs1 = $selectableSearch.quicksearch(selectableSearchString)
          .on('keydown', function (e) {
            if (e.which === 40) {
              that.$selectableUl.focus();
              return false;
            }
          });
        that.qs2 = $selectionSearch.quicksearch(selectionSearchString)
          .on('keydown', function (e) {
            if (e.which == 40) {
              that.$selectionUl.focus();
              return false;
            }
          });
      },
      afterSelect: function () {
        this.qs1.cache();
        this.qs2.cache();
      },
      afterDeselect: function () {
        this.qs1.cache();
        this.qs2.cache();
      }
    });
  }
};
